Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoVerifyStatus

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoVerifyStatus

native declaration : mono\metadata\verify.h
enum values

Field Summary
`static int` | `MONO_VERIFY_ALL`
`static int` | `MONO_VERIFY_CLS`
`static int` | `MONO_VERIFY_ERROR`
`static int` | `MONO_VERIFY_FAIL_FAST` Abort the verification if the code is not verifiable.
`static int` | `MONO_VERIFY_NON_STRICT` Perform less verification of the code.
`static int` | `MONO_VERIFY_NOT_VERIFIABLE`
`static int` | `MONO_VERIFY_OK`
`static int` | `MONO_VERIFY_REPORT_ALL_ERRORS`
`static int` | `MONO_VERIFY_SKIP_VISIBILITY`
`static int` | `MONO_VERIFY_WARNING`

Field Detail

### MONO_VERIFY_OK

    static final int MONO_VERIFY_OK

See Also:
  Constant Field Values

### MONO_VERIFY_ERROR

    static final int MONO_VERIFY_ERROR

See Also:
  Constant Field Values

### MONO_VERIFY_WARNING

    static final int MONO_VERIFY_WARNING

See Also:
  Constant Field Values

### MONO_VERIFY_CLS

    static final int MONO_VERIFY_CLS

See Also:
  Constant Field Values

### MONO_VERIFY_ALL

    static final int MONO_VERIFY_ALL

See Also:
  Constant Field Values

### MONO_VERIFY_NOT_VERIFIABLE

    static final int MONO_VERIFY_NOT_VERIFIABLE

See Also:
  Constant Field Values

### MONO_VERIFY_FAIL_FAST

    static final int MONO_VERIFY_FAIL_FAST

  Abort the verification if the code is not verifiable.
  The standard behavior is to abort if the code is not valid.

  See Also:
    Constant Field Values

### MONO_VERIFY_NON_STRICT

    static final int MONO_VERIFY_NON_STRICT

  Perform less verification of the code. This flag should be used
  if one wants the verifier to be more compatible to the MS runtime.
  Mind that this is not to be more compatible with MS peverify, but
  with the runtime itself, that has a less strict verifier.

  See Also:
    Constant Field Values

### MONO_VERIFY_SKIP_VISIBILITY

    static final int MONO_VERIFY_SKIP_VISIBILITY

See Also:
  Constant Field Values

### MONO_VERIFY_REPORT_ALL_ERRORS

    static final int MONO_VERIFY_REPORT_ALL_ERRORS

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD